# Model Deployment & Inferencing

This section covers the various environments where SEA-LION models can be hosted, ranging from fully managed cloud services to self-hosted high-performance infrastructure. SEA-LION models are freely available for [download](/models/download_models.md). The following guides provide technical how-tos for setting up SEA-LION inference using different approaches:

1. [Using our provided SEA-LION API](/guides/inferencing/api.md)
2. Running SEA-LION on a local machine (coming soon)
3. Deploying SEA-LION on the cloud
   * [Create SEA-LION endpoint on Google Vertex AI](/guides/inferencing/vertex_ai.md)
   * [Importing and Using Llama-SEA-LION models in a Serverless On-Demand Environment with Amazon Bedrock](/guides/inferencing/amazon_bedrock.md)
   * [OpenAI-compatible APIs with Llama-SEA-LION models and Bedrock Access Gateway](/guides/inferencing/bedrock_access_gateway.md)
   * [Deploying Gemma-SEA-LION models using AWS Sagemaker AI](https://github.com/aisingapore/sealion/blob/main/guides/inferencing/Gemma-SEA-LION-v4-27B-Instruct.ipynb)
   * [Deploying SEA-LION using vLLM on Linux server](/guides/inferencing/vllm_linux.md)
4. Leveraging our Partner API Platforms
   * [Cloudflare Workers AI](/guides/inferencing/cloudflare.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sea-lion.ai/guides/inferencing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
